Support » Plugin: CF7 Google Sheets Connector » fatal when activating

  • Resolved cloudduster

    (@cloudduster)


    i got this error when i try to activate the plugin

    Warning: require_once(service/Google_Utils.php): failed to open stream: No such file or directory in /home/sbris/public_html/addonsites/xyz.com/wp-content/plugins/cf7-google-sheets-connector/lib/php-google-oauth/auth/Google_OAuth2.php on line 20

    Fatal error: require_once(): Failed opening required ‘service/Google_Utils.php’ (include_path=’.:/usr/lib/php:/usr/local/lib/php’) in /home/sbris/public_html/addonsites/xyz.com/wp-content/plugins/cf7-google-sheets-connector/lib/php-google-oauth/auth/Google_OAuth2.php on line 20

Viewing 6 replies - 1 through 6 (of 6 total)
  • Plugin Author Abdullah WesternDeal

    (@westerndeal)

    Hi @cloudduster,

    Are you also using some other CF7 extension along with google sheet connector plugin ? If so can you let us know.

    If not than let us know your wordpress and PHP version and from which browser and device you are trying to activate this plugin.

    Thanks

    cloudduster

    (@cloudduster)

    Hi and thanks for the reply.

    Contact Form 7 – Dynamic Text Extension is the only CF7 extension i’m currently using.
    My php is 7.0
    My WP version 4.9.8

    I was able to use this plugin before without a problem. But I don’t know if the hosting upgrade did affect the activation of this plugin.

    Plugin Author Abdullah WesternDeal

    (@westerndeal)

    Yes, because in PHP-7 few of the functions are deprecated. So CF7 Google SheetConnector is currently not compatible with it.

    cloudduster

    (@cloudduster)

    okay. i tried downgrading the php to 5.6 and my site spews tons of errors.

    Plugin Author Abdullah WesternDeal

    (@westerndeal)

    Hello @cloudduster

    Sorry for delay in responding,
    Do you still have the same issues? let us know if we can assist you for this.

    Awaiting for your quick response.

    Thanks
    Abdullah

    I also encountered this error when I tried to activate the plugin with version fro 1.2
    Parse error: syntax error, unexpected ‘[‘ in /home/daynghespa/domains/hnm.edu.vn/public_html/wp-content/plugins/cf7-google-sheets-connector-pro/includes/class-gs-service.php on line 21
    Version PHP 5.3
    Wordpress: 4.9

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘fatal when activating’ is closed to new replies.